%global mod_name script-security-plugin
%global short_name script-security
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/

Name:           jenkins-script-security-plugin
Version:        1.18.1
Release:        %mkrel 1
Group:          Development/Java
Summary:        Jenkins Script Security Plugin

# from POM
License:        MIT
URL:            https://github.com/jenkinsci/script-security-plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
Source1:        LICENSE

BuildRequires:  maven-local
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(com.google.code.findbugs:annotations)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(org.kohsuke:groovy-sandbox)

BuildRequires:  zip

BuildArch:      noarch

%description
This plugin allows Jenkins administrators to control what in-process
scripts can be run by less-privileged users.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.


%prep
%setup -q -n %{short_name}-plugin-%{short_name}-%{version}

# upstream has this in Jenkins' parent POM, which we don't have
%pom_add_dep com.google.code.findbugs:annotations:provided

find . -name "*.jar" -delete
cp %{SOURCE1} .

%mvn_file ::hpi:: %{name}/%{short_name}

%build
# missing org.jenkins-ci:test-annotations
%mvn_build -f

%install
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d target/%{short_name}.hpi-unpacked target/%{short_name}.hpi
pushd target/%{short_name}.hpi-unpacked/WEB-INF/lib/
  rm %{short_name}.jar && ln -s %{_javadir}/%{name}/%{short_name}.jar .
  xmvn-subst -s .
popd
pushd target/%{short_name}.hpi-unpacked/
  zip -y -r %{short_name}.hpi .
popd
mv target/%{short_name}.hpi-unpacked/%{short_name}.hpi target/
cp target/%{short_name}.hpi %{buildroot}/%{plugin_home}/
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%{plugin_home}
%license LICENSE
%files javadoc -f .mfiles-javadoc
%license LICENSE



%changelog
* Fri Apr 29 2016 daviddavid <daviddavid> 1.18.1-1.mga6
+ Revision: 1007661
- Update to 1.18.1
- Resolves: CVE-2016-3102

* Fri Mar 11 2016 neoclust <neoclust> 1.15-3.mga6
+ Revision: 989095
- Rebuild against fixed jenkins
- imported package jenkins-script-security-plugin

